## gnulib 20250102

=== debian/changelog ===
gnulib (20250102-1) unstable; urgency=medium

  * New upstream (branch stable-202501 master
    68fedd78b5510236a372f7386769a6011494aa0e).
  * debian/tests/test-dh-gnulib-patch: Update hashsum for testing.
  * debian/patches/02-shebang.patch: Dropped, fixed upstream.
  * debian/copyright: Minor updates.
  * debian/: Apply "wrap-and-sort -abskt".

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2025 20:14:35 -0500

=== debian/control ===
Source: gnulib
Section: devel
Priority: optional
Maintainer: Simon Josefsson <simon@josefsson.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 bison <!nocheck>,
 gettext (>= 0.20~) <!nocheck>,
 gperf <!nocheck>,
 perl,
Build-Depends-Indep:
 texinfo,
Standards-Version: 4.7.0
Homepage: https://www.gnu.org/software/gnulib/
Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/debian/gnulib
Rules-Requires-Root: no

Package: git-merge-changelog
Section: vcs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: git merge driver for GNU ChangeLog files
 ChangeLog files *always* foul up most version control systems in
 their default configuration.
 .
 git-merge-changelog is a tool from gnulib designed to help with this
 for the case of GNU-style ChangeLogs; it can be used with at least
 git, bzr, and hg.

Package: gnulib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 autoconf,
 automake,
 autopoint,
 bison,
 build-essential,
 gettext (>= 0.20~),
 gperf,
 libtool,
 m4,
 texinfo,
Suggests:
 clisp,
 git,
 perl,
 python3:any,
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.

## gnulib 20250303

=== doc/Makefile ===
# Makefile for gnulib doc.  -*- coding: utf-8 -*-
# Copyright (C) 2004, 2006-2025 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
makeinfo_prog = makeinfo
# ASCII_DASHES_AND_QUOTES=0 is needed for makeinfo versions ≥ 7.1.
# CHECK_NORMAL_MENU_STRUCTURE=1 is needed for makeinfo versions ≥ 6.8.
MAKEINFO = $(lang_env) $(makeinfo_prog) \
 -c ASCII_DASHES_AND_QUOTES=0 \
 -c CHECK_NORMAL_MENU_STRUCTURE=1

manual_opts = --no-split --reference-limit=2000
TEXI2HTML = $(MAKEINFO) $(manual_opts) --html

# Needed so that tex finds a recent enough texinfo.tex.
tex_opts = -I ../build-aux

undocumented-modules.texi: force
	grep -h '^@mindex ' `find . -name '*.texi'` | sed -e 's/@mindex //' | LC_ALL=C sort -u > documented-modules.tmp
	(cd .. && ./gnulib-tool --list) | LC_ALL=C sort -u > all-modules.tmp
	LC_ALL=C join -v1 all-modules.tmp documented-modules.tmp > undocumented-modules.tmp
# For testing whether a module is deprecated, "./gnulib-tool --extract-status <module>" is a bit slow, so use grep instead.
	modules=`cat undocumented-modules.tmp`; (cd ../modules && grep -l '^deprecated$$' $$modules) > deprecated-undocumented-modules.tmp
	LC_ALL=C join -v1 undocumented-modules.tmp deprecated-undocumented-modules.tmp > undocumented-modules-2.tmp
	LC_ALL=C join -v1 undocumented-modules-2.tmp internal-modules > undocumented-modules-3.tmp
	sed -e 's/^/@umindex /' < undocumented-modules-3.tmp > undocumented-modules.texi
	rm -f documented-modules.tmp all-modules.tmp undocumented-modules.tmp deprecated-undocumented-modules.tmp undocumented-modules-2.tmp undocumented-modules-3.tmp

%.info: %.texi undocumented-modules.texi
	$(MAKEINFO) $(manual_opts) $<

%.html: %.texi undocumented-modules.texi
	$(TEXI2HTML) -o $@ $<

%.dvi: %.texi undocumented-modules.texi
	texi2dvi $(tex_opts) $< || { if texi2dvi $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

%.pdf: %.texi undocumented-modules.texi
	texi2pdf $(tex_opts) $< || { if texi2pdf $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi
pdf: $(doc).pdf

INSTALL_PRELUDE = echo '@firstparagraphindent insert'

OMIT_TRAILING_EMPTY_LINES = /^$$/H; /^$$/d; x; s/\n//p; s/\n*//; x

# INSTALL file with UTF-8 encoding.
INSTALL: install.texi
	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
	$(MAKEINFO) --plaintext --no-validate tmp.texi \
	  | sed -e '$(OMIT_TRAILING_EMPTY_LINES)' > $@
	rm -f tmp.texi

# INSTALL file with ASCII encoding.
INSTALL.ISO: INSTALL
	sed \
          -e 's/©/(C)/g' \
          -e 's/–/-/g' \
          -e 's/‘/'\''/g' \
          -e 's/’/'\''/g' \
          -e 's/“/"/g' \
          -e 's/”/"/g' \
          $< > $@

# INSTALL file with UTF-8 encoding.
# This file is obsolescent, as INSTALL now uses UTF-8.
INSTALL.UTF-8: INSTALL
	cp $< $@

GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)
NEWEST_GNULIB_TEXI_FILE = $(shell ls -t $(GNULIB_TEXI_FILES) | sed 1q)

# Date of last update. Requires GNU date.
updated-stamp: $(GNULIB_TEXI_FILES)
	date -u -r $(NEWEST_GNULIB_TEXI_FILE) +"@set UPDATED %F %T" > $@

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi gnulib.pdf: $(GNULIB_TEXI_FILES) updated-stamp
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cn *.cp *.cps *.fn *.ky *.log *.m *.pg *.toc *.tmp *.tp *.vr *.vrs
	rm -f updated-stamp

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

force:

=== debian/changelog ===
gnulib (20250303-3) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 14:41:27 +0200

gnulib (20250303-2) experimental; urgency=medium

  * Fix git-merge-changelog.  Closes: #1110119.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 02 Aug 2025 13:45:49 +0200

gnulib (20250303-1) unstable; urgency=medium

  * New upstream (branch stable-202501 master
    ac9dd0041307b1d3a68d26bf73567aa61222df54).
  * Update README.source.
  * Improve git-merge-changelog(1).  Closes: #752135.
  * Standards-Version: 4.7.2.
  * Use predictable timestamp for gnulib.info, fixing reproducibility.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 08 Mar 2025 22:42:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/gnulib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
#
# # see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# # see ENVIRONMENT in dpkg-buildflags(1)
# # package maintainers to append CFLAGS
# #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# # package maintainers to append LDFLAGS
# export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk

GNULIB_DESTDIR=$(CURDIR)/debian/gnulib/


%:
	dh ${@}

execute_before_dh_auto_clean:
	$(MAKE) -C doc clean
	-rm -rf debian/git-merge-changelog.src
	-rm -f debian/git-merge-changelog.1

override_dh_auto_configure-arch:
	./gnulib-tool --create-testdir --with-tests -S \
		--dir=debian/git-merge-changelog.src git-merge-changelog
	dh_auto_configure --sourcedir debian/git-merge-changelog.src

override_dh_auto_build-indep:
	$(MAKE) -C doc info NEWEST_GNULIB_TEXI_FILE=../debian/copyright
	$(MAKE) -C doc html NEWEST_GNULIB_TEXI_FILE=../debian/copyright

override_dh_auto_build-arch:
	dh_auto_build --sourcedir debian/git-merge-changelog.src
	pod2man --section=1 --center "Gnulib" --release $(DEB_VERSION) debian/git-merge-changelog.pod debian/git-merge-changelog.1

override_dh_auto_install-arch:
	dh_auto_install --sourcedir=debian/git-merge-changelog.src --destdir=debian/git-merge-changelog

override_dh_auto_install-indep:
	mkdir -p debian/gnulib/usr/bin
	cp -a check-module debian/gnulib/usr/bin
	cp -v debian/local/dh_gnulib_patch debian/gnulib/usr/bin/
	mkdir -p debian/gnulib/usr/share/gnulib/debian/patches.d/00-gnulib-tool-version/
	cp -v debian/local/gnulib-dpkg.mk debian/gnulib/usr/share/gnulib/debian/
	cp -v debian/patches/00*-gnulib-tool-version.patch debian/gnulib/usr/share/gnulib/debian/patches.d/00-gnulib-tool-version/
	mkdir -p debian/gnulib/usr/share/man/man1
	pod2man --section=1 --center "Gnulib" --release $(DEB_VERSION) debian/local/dh_gnulib_patch.pod debian/gnulib/usr/share/man/man1/dh_gnulib_patch.1
	cp -a build-aux posix-modules config doc lib m4 modules top tests \
	      MODULES.html.sh Makefile cfg.mk check-copyright \
	      gnulib-tool* .gnulib-tool.py pygnulib gnulib.bundle \
	      debian/gnulib/usr/share/gnulib
	ln -s ../share/gnulib/gnulib-tool debian/gnulib/usr/bin
	# Fix permissions
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.guess
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.sub
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/gendocs.sh
	-chmod 0644 debian/gnulib/usr/share/gnulib/config/srclistvars.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/doc/gendocs_template
	chmod 0644 debian/gnulib/usr/share/gnulib/m4/fflush.m4
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/canonicalize-lgpl
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush-tests
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-base64.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-closein.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-fflush.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn-dup2-stdout.in.sh
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn-dup2-stdin.in.sh
	# Remove unused files
	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.info
	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.html
	rm -f debian/gnulib/usr/share/gnulib/*/.cvsignore debian/gnulib/usr/share/gnulib/.cvsignore
	rm -f debian/gnulib/usr/share/gnulib/*/.gitignore debian/gnulib/usr/share/gnulib/.gitignore
	rm -f debian/gnulib/usr/share/gnulib/*/.gitattributes debian/gnulib/usr/share/gnulib/.gitattributes
	# Show differences between source gnulib and /usr/share/gnulib
	-env LANG=C diff -ur . debian/gnulib/usr/share/gnulib | grep -e '^diff' -e '^Only in' | grep -v '^Only in ./debian'

# Run tests here.
override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# FIXME: Full test could be too time-consuming.
#        If you have better idea, please fix it.
	( \
	    GNULIB_MODULE_LIST=$$(./gnulib-tool --list | tr '\n' ' ') ; \
	    printf "Current working dir is: %s\n" "$$(realpath .)" ; \
	    GNULIB_MODULE_LIST="di-set select times regex" ; \
	    ./gnulib-tool --test $$GNULIB_MODULE_LIST 2>&1 ; \
	)
endif

# Do not run tests for binary targets.
override_dh_auto_test-arch:

=== debian/tests/control ===
Tests:
 test-dh-gnulib-patch,
Depends:
 git,
 gnulib,

## gnulib 20251215

=== debian/changelog ===
gnulib (20251215-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Dec 2025 22:13:32 -0500

gnulib (20251215-1~exp1) experimental; urgency=medium

  * New upstream (branch stable-202507 master
    70afd5780b7ca6621faafab43bb5c5a8403a1eb3).
  * d/t/test-dh-gnulib-patch: Update branch and master branch revisions.
  * debian/patches: Drop the patch merged upstream.
  * debian/control: Drop Rules-Requires-Root: no, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Dec 2025 06:51:32 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
-Rules-Requires-Root: no
 
 Package: git-merge-changelog
 Section: vcs

## gnulib 20260109

=== Makefile ===
# GNU Makefile for gnulib central.
# Copyright (C) 2006, 2009-2026 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# This Makefile requires the use of GNU make.  Some targets require
# that you have tools like git, makeinfo and cppi installed.

# Required for the use of <(...) below.
SHELL=bash

# Produce some files that are not stored in the repository.
all:

# ==============================================================================
# Documentation

# Produce the documentation in readable form.
info html dvi pdf:
	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean

# ==============================================================================
# Various checks

# Collect the names of rules starting with 'sc_'.
syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
			Makefile))

# Perform some platform independent checks on the gnulib code.
check: $(syntax-check-rules)

sc_prefer_ac_check_funcs_once:
	if test -d .git; then						\
	  git grep -l -w AC_CHECK_FUNCS modules				\
	    | grep -Ev '$(exclude_file_name_regexp--sc_prefer_ac_check_funcs_once)' \
	    | grep .							\
	    && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
		   in modules/ 1>&2; exit 1; } || :			\
	else :; fi
exclude_file_name_regexp--sc_prefer_ac_check_funcs_once = \
  ^modules/(jit/cache)

sc_prohibit_leading_TABs:
	if test -d .git; then						\
	  git grep -l '^ *	' lib m4 tests				\
	    | grep -Ev '$(exclude_file_name_regexp--sc_prohibit_leading_TABs)' \
	    | grep .							\
	    && { printf '*** %s\n' 'indent with spaces, not TABs;'	\
		 1>&2; exit 1; } || :					\
	else :; fi
exclude_file_name_regexp--sc_prohibit_leading_TABs = \
  ^(lib/(cdefs\.h|getopt|ieee754|malloc/|mini-|mktime\.c|qsort\.c|reg|strverscmp\.c)|m4/(largefile|std-gnu)|m4/libgcrypt|tests/from-glibc/|tests/test-update-copyright|Makefile|.*/Makefile)

# Cf. <https://github.com/cpredef/predef/blob/master/Compilers.md>
sc_prohibit_misspelled_compiler_predefs:
	if test -d .git; then						\
	  git ls-files m4 lib tests					\
	    | xargs grep -Ew '($(misspelled_compiler_predefs_or))'		\
	    && { printf '*** %s\n' 'misspelled predefs' 1>&2; exit 1; }	\
	    || :							\
	else :; fi
misspelled_compiler_predefs_or = $(shell echo $(misspelled_compiler_predefs) | tr -s ' ' '|')
misspelled_compiler_predefs =\
  __clang_major		\
  __clang_minor		\
  __GNUC		\
  __GNUC_MAJOR		\
  __GNUC_MAJOR__	\
  __GNUC_MINOR		\

# Cf. <https://github.com/cpredef/predef/blob/master/Architectures.md>
# Only the users of module 'host-cpu-c-abi' are allowed to use __${arch}__
# for all architectures.
sc_prohibit_misspelled_cpu_predefs:
	if test -d .git; then						\
	  git ls-files m4 lib tests					\
	    | grep -Ev '^(m4/host-cpu-c-abi\.m4|lib/sigsegv\.(in\.h|c)|tests/test-sigsegv.*|tests/jit/test-cache\.c)$$' \
	    | xargs grep -Ew '($(misspelled_cpu_predefs_or))'		\
	    && { printf '*** %s\n' 'misspelled predefs' 1>&2; exit 1; }	\
	    || :							\
	else :; fi
misspelled_cpu_predefs_or = $(shell echo $(misspelled_cpu_predefs) | tr -s ' ' '|')
misspelled_cpu_predefs =\
  __alpha__		\
  __amd64		\
  __x86_64		\
  __arm			\
  __arm64		\
  __arm64__		\
  __aarch64		\
  __hppa__		\
  __loongarch64__	\
  __m68k		\
  __riscv__		\
  __riscv64		\
  __riscv64__		\
  __sparc__		\
  __sparc64		\
  __sparc64__		\

# Cf. <https://github.com/cpredef/predef/blob/master/OperatingSystems.md>
sc_prohibit_misspelled_os_predefs:
	if test -d .git; then						\
	  git ls-files m4 lib tests					\
	    | xargs grep -Ew '($(misspelled_os_predefs_or))'		\
	    && { printf '*** %s\n' 'misspelled predefs' 1>&2; exit 1; }	\
	    || :							\
	else :; fi
misspelled_os_predefs_or = $(shell echo $(misspelled_os_predefs) | tr -s ' ' '|')
misspelled_os_predefs =	\
  __AIX__		\
  __FreeBSD		\
  __NetBSD		\
  __OpenBSD		\
  __CYGWIN		\
  __CYGWIN32__		\
  __MINGW__		\
  __WIN32__		\
  __WIN64__		\
  __GNU__		\
  __HAIKU		\
  __hpux__		\
  __IRIX__		\
  __sgi__		\
  __linux		\
  __minix__		\
  __sun__		\
  __unix		\
  __unix__		\
  __ZOS__		\
  __zOS__		\

sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
	if test -d .git; then						\
	  url=https://lists.gnu.org/r/bug-gnulib/2010-09/msg00064.html; \
	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
		 "  see <$$url>" 1>&2; exit 1; } || :			\
	else :; fi

# It's easy to forget the noise-suppressing "@" at the beginning
# of each sc_ rule.  Check for it in maint.mk.
sc_prohibit_sc_omitted_at:
	if test -d .git; then						\
	  git grep -n -A1 '^sc_[[:alnum:]_-]*:' top/maint.mk		\
	    | grep -vE ':sc_|[0-9][-]	@|--$$'				\
	    | sed 's/-\([0-9][0-9]*\)-/:\1:/'				\
	    | grep .							\
	    && { printf '*** %s\n' 'oops; missing "@"'			\
		 1>&2; exit 1; } || :					\
	else :; fi

## Unmaintained. When removing this rule, also remove cfg.mk.
## # Run all maint.mk syntax-check tests on gnulib's sources.
## sc_maint:
## 	@rm -f maint.mk; ln -s top/maint.mk maint.mk
## 	$(MAKE) -s srcdir=. gnulib_dir=. _build-aux=build-aux \
## 	        -f cfg.mk -f maint.mk syntax-check
## 	rm -f maint.mk

sc_prohibit_AC_LIBOBJ_in_m4:
	url=https://lists.gnu.org/r/bug-gnulib/2011-06/msg00051.html; \
	if test -d .git; then						\
	  git ls-files m4						\
	     | grep -Ev '^m4/($(allow_AC_LIBOBJ_or))\.m4$$'		\
	     | xargs grep '^ *AC_LIBOBJ('				\
	    && { printf '%s\n' 'Do not use AC_LIBOBJ in m4/*.m4;'	\
		 "see <$$url>"; exit 1; } || :;				\
	else :; fi
allow_AC_LIBOBJ_or = $(shell echo $(allow_AC_LIBOBJ) | tr -s ' ' '|')
# Files in m4/ that (exceptionally) may use AC_LIBOBJ, without their ".m4"
# suffix.
allow_AC_LIBOBJ =	\
  dprintf		\
  fprintf-posix		\
  printf-posix		\
  snprintf		\
  sprintf-posix		\
  termcap		\
  terminfo		\
  vasnprintf		\
  vasprintf		\
  vdprintf		\
  vfprintf-posix	\
  vprintf-posix		\
  vsnprintf		\
  vsprintf-posix

sc_pragma_columns:
	if test -d .git; then						\
	  git ls-files|grep '\.in\.h$$'					\
	      | xargs grep -l '^@PRAGMA_SYSTEM_HEADER@'			\
	      | xargs grep -L '^@PRAGMA_COLUMNS@'			\
	      | grep .							\
	    && { printf '%s\n'						\
		   'the files listed above use @PRAGMA_SYSTEM_HEADER@'	\
		   'without also using @PRAGMA_COLUMNS@' 1>&2;		\
		 exit 1; } || :;					\
	else :; fi


# List of C macros defined through AH_VERBATIM in m4/extern-inline.m4:
config_h_MACROS1 = \
  _GL_INLINE \
  _GL_EXTERN_INLINE \
  _GL_INLINE_HEADER_BEGIN \
  _GL_INLINE_HEADER_END
# List of C macros defined through AH_VERBATIM in m4/gnulib-common.m4:
config_h_MACROS2 = \
  _GL_GNUC_PREREQ \
  _Noreturn \
  _GL_ATTRIBUTE_ALLOC_SIZE \
  _GL_ATTRIBUTE_ALWAYS_INLINE \
  _GL_ATTRIBUTE_ARTIFICIAL \
  _GL_ATTRIBUTE_COLD \
  _GL_ATTRIBUTE_CONST \
  _GL_ATTRIBUTE_DEALLOC \
  _GL_ATTRIBUTE_DEALLOC_FREE \
  _GL_ATTRIBUTE_DEPRECATED \
  _GL_ATTRIBUTE_ERROR \
  _GL_ATTRIBUTE_WARNING \
  _GL_ATTRIBUTE_EXTERNALLY_VISIBLE \
  _GL_ATTRIBUTE_FALLTHROUGH \
  _GL_ATTRIBUTE_FORMAT \
  _GL_ATTRIBUTE_LEAF \
  _GL_ATTRIBUTE_MALLOC \
  _GL_ATTRIBUTE_MAY_ALIAS \
  _GL_ATTRIBUTE_MAYBE_UNUSED \
  _GL_UNUSED \
  _GL_ATTRIBUTE_NODISCARD \
  _GL_ATTRIBUTE_NOINLINE \
  _GL_ATTRIBUTE_NONNULL \
  _GL_ATTRIBUTE_NONNULL_IF_NONZERO \
  _GL_ATTRIBUTE_NONSTRING \
  _GL_ATTRIBUTE_NOTHROW \
  _GL_ATTRIBUTE_PACKED \
  _GL_ATTRIBUTE_PURE \
  _GL_ATTRIBUTE_REPRODUCIBLE \
  _GL_ATTRIBUTE_RETURNS_NONNULL \
  _GL_ATTRIBUTE_SENTINEL \
  _GL_ATTRIBUTE_UNSEQUENCED \
  _GL_ATTRIBUTE_UNUSED \
  _GL_UNUSED_LABEL \
  _GL_UNNAMED \
  _GL_ATTRIBUTE_CAPABILITY_TYPE \
  _GL_ATTRIBUTE_ACQUIRE_CAPABILITY \
  _GL_ATTRIBUTE_RELEASE_CAPABILITY \
  _GL_BEGIN_C_LINKAGE \
  _GL_END_C_LINKAGE \
  _GL_ASYNC_SAFE \
  _GL_CMP
# List of C macros defined through AH_VERBATIM in m4/nullptr.m4:
config_h_MACROS3 = \
  nullptr
# List of C macros defined through AH_VERBATIM in m4/posixcheck.m4:
config_h_MACROS4 = \
  GNULIB_POSIXCHECK
# List of C macros defined through AH_VERBATIM in m4/sh-filename.m4:
config_h_MACROS5 = \
  BOURNE_SHELL
# List of C macros defined through AH_VERBATIM in m4/stdalign.m4:
config_h_MACROS6 = \
  alignof \
  alignas
# List of C macros defined through AH_VERBATIM in m4/stdarg.m4:
config_h_MACROS7 = \
  va_copy
# List of C macros defined through AH_VERBATIM in m4/threads_h.m4:
config_h_MACROS8 = \
  _Thread_local
# List of C macros defined through AH_VERBATIM (only the most important ones):
config_h_MACROS = \
  $(config_h_MACROS1) $(config_h_MACROS2) $(config_h_MACROS3) \
  $(config_h_MACROS4) $(config_h_MACROS5) $(config_h_MACROS6) \
  $(config_h_MACROS7) $(config_h_MACROS8)

# Ensure that .h files that use macros from config.h contain a reminder to
# include <config.h>.
sc_check_config_h_reminder:
	fail=0; \
	for file in `grep -l -F -w -f <(for macro in $(config_h_MACROS); do echo $$macro; done) lib/*.h lib/*/*.h \
	             | grep -vE '$(exclude_file_name_regexp--sc_check_config_h_reminder)'`; do \
	  : "Filter out .h files that are not public header files of their respective module."; \
	  include_pattern='[<"]'`echo $$file | sed -e 's,^lib/,,' -e 's,[.]in[.]h,.h,' -e 's,_,[/_],g' -e 's,[.],[.],g'`'[>"]' ; \
	  if ./gnulib-tool --extract-include-directive `./gnulib-tool --find $$file` | grep "$$include_pattern" >/dev/null; then \
	    grep '# *error "Please include config[.]h first[.]"' $$file >/dev/null \
	      || { echo -n "File $$file lacks a config.h reminder. Needed for:"; \
	           for macro in $(config_h_MACROS); do \
	             if grep -F -w $$macro $$file >/dev/null; then echo -n " $$macro"; fi; \
	           done; \
	           if grep -F HAVE_RAW_DECL_ $$file >/dev/null; then echo -n " HAVE_RAW_DECL_*"; fi; \
	           echo; \
	           fail=1; \
	         }; \
	  fi; \
	done; \
	exit $$fail
exclude_file_name_regexp--sc_check_config_h_reminder = \
  ^lib/(noreturn\.h|(uninorm|unistr)\.in\.h)


# Ensure that .h files that invoke _GL_INLINE_HEADER_BEGIN also invoke
# _GL_INLINE_HEADER_END.  Otherwise, some GCC diagnostics remain turned off
# for the rest of the compilation unit.
sc_check_GL_INLINE_HEADER_use:
	fail=0; \
	for file in `grep -l -F -w _GL_INLINE_HEADER_BEGIN lib/*.h lib/*/*.h`; do \
	  grep -l -F -w _GL_INLINE_HEADER_END $$file >/dev/null \
	    || { echo "File $$file lacks an invocation of _GL_INLINE_HEADER_END."; \
	         fail=1; \
	       }; \
	done; \
	exit $$fail

# Ensure that the copyright statements in files and in the module descriptions
# are consistent.
sc_check_copyright:
	@./check-copyright

# ==============================================================================
# Regenerating some files

# Regenerate some files that are stored in the repository.
regen: build-aux/bootstrap MODULES.html

# build-aux/bootstrap needs to be regenerated from top/bootstrap*.
build-aux/bootstrap: top/gen-bootstrap.sed top/bootstrap top/bootstrap-funclib.sh
	sed -f top/gen-bootstrap.sed < top/bootstrap > build-aux/bootstrap-tmp
	chmod a+x build-aux/bootstrap-tmp
	mv build-aux/bootstrap-tmp build-aux/bootstrap

# MODULES.html is periodically being generated and copied to the web pages at
# :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
# where it then appears at <https://www.gnu.org/software/gnulib/MODULES.html>.
MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

# ==============================================================================
# Updating copyright notices

# A perl BEGIN block to set Y to the current year number and W to Y-1.
_year_and_prev = BEGIN{@t=localtime(time); $$y=$$t[5]+1900; $$w=$$y-1}

# Which TZ setting to use when updating copyright.
COPYRIGHT_TZ = UTC0

# Run this rule once per year (usually early in January)
# to update all FSF copyright year lists here.
# We exclude the files listed in srclist.txt (maintained elsewhere)
# as well as those in tests/unictype (generated).

=== debian/changelog ===
gnulib (20260109-1~exp1) unstable; urgency=medium

  * New upstream (branch stable-202601 master
    2961ed7a687c11aebdf5951d5267dec85d9e59cb).
  * Standards-Version: 4.7.3
  * Drop Priority: optional
  * Drop git-merge-changelog
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1124418
  * Bump debian/* copyright years
  * Drop Vcs-Git -b suffix
  * Simplify Build-Depends
  * Modernize Salsa CI
  * Re-enable pristine-tar in gbp.conf
  * Rewrite debian/README.source

 -- Simon Josefsson <simon@josefsson.org>  Fri, 09 Jan 2026 14:49:59 +0100

=== debian/control ===
Source: gnulib
Section: devel
Maintainer: Simon Josefsson <simon@josefsson.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 texinfo,
Standards-Version: 4.7.3
Homepage: https://www.gnu.org/software/gnulib/
Vcs-Git: https://salsa.debian.org/debian/gnulib.git
Vcs-Browser: https://salsa.debian.org/debian/gnulib

Package: gnulib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 autoconf,
 automake,
 autopoint,
 bison,
 build-essential,
 gettext (>= 0.20~),
 gperf,
 libtool,
 m4,
 texinfo,
Suggests:
 clisp,
 git,
 perl,
 python3:any,
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.
 .
 The 'git-merge-changelog' tool used to be provided by the gnulib source
 package.  For the 20260109-1 release the tool was removed from upstream
 git project, to be packaged separately in Debian.

=== debian/rules ===
--- 
+++ 
@@ -22,24 +22,10 @@
 
 execute_before_dh_auto_clean:
 	$(MAKE) -C doc clean
-	-rm -rf debian/git-merge-changelog.src
-	-rm -f debian/git-merge-changelog.1
-
-override_dh_auto_configure-arch:
-	./gnulib-tool --create-testdir --with-tests -S \
-		--dir=debian/git-merge-changelog.src git-merge-changelog
-	dh_auto_configure --sourcedir debian/git-merge-changelog.src
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc info NEWEST_GNULIB_TEXI_FILE=../debian/copyright
 	$(MAKE) -C doc html NEWEST_GNULIB_TEXI_FILE=../debian/copyright
-
-override_dh_auto_build-arch:
-	dh_auto_build --sourcedir debian/git-merge-changelog.src
-	pod2man --section=1 --center "Gnulib" --release $(DEB_VERSION) debian/git-merge-changelog.pod debian/git-merge-changelog.1
-
-override_dh_auto_install-arch:
-	dh_auto_install --sourcedir=debian/git-merge-changelog.src --destdir=debian/git-merge-changelog
 
 override_dh_auto_install-indep:
 	mkdir -p debian/gnulib/usr/bin
@@ -91,6 +77,3 @@
 	    ./gnulib-tool --test $$GNULIB_MODULE_LIST 2>&1 ; \
 	)
 endif
-
-# Do not run tests for binary targets.
-override_dh_auto_test-arch:

=== debian/watch ===
Version: 5
Source: https://ftp.gnu.org/gnu/gnulib/
Matching-Pattern: gnulib-@ANY_VERSION@.bundle
Pgpsigurlmangle: s/$/.sig/
